Bug 1822427 - lnav is aborted
Summary: lnav is aborted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lnav
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Schiffer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-09 00:48 UTC by Hisanobu Okuda
Modified: 2020-11-07 01:45 UTC (History)
1 user (show)

Fixed In Version: lnav-0.9.0-1.fc33 lnav-0.9.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-31 01:54:13 UTC
Type: Bug


Attachments (Terms of Use)
sample log (202.55 KB, text/plain)
2020-04-09 00:48 UTC, Hisanobu Okuda
no flags Details

Description Hisanobu Okuda 2020-04-09 00:48:09 UTC
Created attachment 1677410 [details]
sample log

Description of problem:
lnav is aborted.


$ lnav /home/eap71x/standalone/log/audit.log 


==== GURU MEDITATION ====
Unfortunately, lnav has crashed, sorry for the inconvenience.

You can help improve lnav by sending the following file to lnav@googlegroups.com :
  /home/hokuda/.lnav/crash/crash-2020-04-09-09-41-24.79251.log
=========================

Would you like to attach a debugger? (y/N) y
GNU gdb (GDB) Fedora 8.3.50.20190824-30.fc31
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
Attaching to process 79251
[New LWP 79252]
[New LWP 79253]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f76f34773a7 in wait () from /lib64/libpthread.so.0
Missing separate debuginfos, use: dnf debuginfo-install lnav-0.8.5-2.fc31.x86_64
(gdb) bt
#0  0x00007f76f34773a7 in wait () from /lib64/libpthread.so.0
#1  0x000055d7d2284f48 in sigabrt(int) ()
#2  <signal handler called>
#3  0x00007f76f32d6625 in raise () from /lib64/libc.so.6
#4  0x00007f76f32bf8d9 in abort () from /lib64/libc.so.6
#5  0x000055d7d21e33a8 in std::__replacement_assert(char const*, int, char const*, char const*) ()
#6  0x000055d7d228c85f in read_json_int(yajlpp_parse_context*, long long) ()
#7  0x000055d7d236bde2 in yajl_do_parse ()
#8  0x000055d7d2292a95 in external_log_format::scan(nonstd::optional_lite::optional<logfile*>, std::vector<logline, std::allocator<logline> >&, long, shared_bu
ffer_ref&) ()
#9  0x000055d7d22c0004 in logfile::process_prefix(long, shared_buffer_ref&, line_value const&) ()
#10 0x000055d7d22c0b2d in logfile::rebuild_index() ()
#11 0x000055d7d21fbcd3 in bool textfile_sub_source::rescan_files<textfile_callback>(textfile_callback&) ()
#12 0x000055d7d21dfb49 in rebuild_indexes() ()
#13 0x000055d7d21c77d4 in main ()
(gdb) 

Version-Release number of selected component (if applicable):

lnav-0.8.5-2.fc31.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Peter Schiffer 2020-04-09 22:33:40 UTC
Hello,

thank you for the reporting this bug. It should be fixed in the next lnav release.

peter

Comment 2 Fedora Update System 2020-10-23 20:16:24 UTC
FEDORA-2020-f534395fd6 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f534395fd6

Comment 3 Fedora Update System 2020-10-23 20:44:13 UTC
FEDORA-EPEL-2020-7c2730115a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7c2730115a

Comment 4 Fedora Update System 2020-10-23 23:41:23 UTC
FEDORA-2020-f534395fd6 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f534395fd6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f534395fd6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-24 00:09:39 UTC
FEDORA-EPEL-2020-7c2730115a has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7c2730115a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-31 01:54:13 UTC
FEDORA-2020-f534395fd6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-11-07 01:45:23 UTC
FEDORA-EPEL-2020-7c2730115a has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.